You are here

[Closed] New workrave 1.10 is available on PortableApps, but Updater doesn't see it

6 posts / 0 new
Last post
akach
Offline
Last seen: 2 years 3 weeks ago
Joined: 2015-12-21 06:09
[Closed] New workrave 1.10 is available on PortableApps, but Updater doesn't see it

I have PortableApps.com platform 12.2 and have WorkravePortable 1.9.4 installed.
When I choose an option "Проверить обновления" ("Check updates" in Russian) in PortableApps shell, it doesn't see that there's an updated version of WorkravePortable available and doesn't offer me to update WorkravePortable like it does for other apps. But there is actually newer 1.10 version: https://portableapps.com/apps/utilities/workrave_portable

Is there a bug in version checker of portable apps platform?

John T. Haller
John T. Haller's picture
Offline
Last seen: 1 hour 52 min ago
AdminDeveloperModerator
Joined: 2005-11-28 22:21
Different Directory?

Most likely, you have Workrave Portable in a directory other than PortableApps\WorkravePortable. You can rename it back and it will pick it up. Barring that, you can download it manually and run the installer and point it to your existing install. When you click Browse, browse for your existing PortableApps directory. The WorkravePortable part of the path is added automatically after you click OK in the browse window.

Sometimes, the impossible can become possible, if you're awesome!

akach
Offline
Last seen: 2 years 3 weeks ago
Joined: 2015-12-21 06:09
No, WorkRave is in

No, WorkRave is in \PortableApps\WorkravePortable

Yes, I know I can update it manually but I thought not doing it can help investigate the issue, so I haven't updated yet. Do you think I should update manually, and repeating bug doesn't need to be investigated?

John T. Haller
John T. Haller's picture
Offline
Last seen: 1 hour 52 min ago
AdminDeveloperModerator
Joined: 2005-11-28 22:21
Altered Files?

Did you alter any files within WorkRave or anything else? Is the PortableApps\WorkravePortable\App\AppInfo\AppInfo.ini file intact and has a package version of 1.9.4.0 within?

A standard copy of PortableApps.com Platform 12.2 set to Russian successfully sees an update available to 1.10 when Workrave Portable 1.9.4 is installed. I just tested and confirmed it.

Sometimes, the impossible can become possible, if you're awesome!

akach
Offline
Last seen: 2 years 3 weeks ago
Joined: 2015-12-21 06:09
File is altered, and it has

File is altered, and it has wrong version number of 1.10. Thanks for pointing out.
I guess it's because I've messed up with my backup/restore procedure.

Therefore it's wrong bugreport and this thread can be closed.

John T. Haller
John T. Haller's picture
Offline
Last seen: 1 hour 52 min ago
AdminDeveloperModerator
Joined: 2005-11-28 22:21
Glad It's Working

That makes sense. I'm glad it's working for you now.

Sometimes, the impossible can become possible, if you're awesome!

Log in or register to post comments